use crate::{apub::actions::DeleteFollow, Action, Context, Error};

impl Action for DeleteFollow {
    fn perform(&self, context: &Context) -> Result<(), Error> {
        context.store.view.follows.remove(self.follow_id)?;
        Ok(())
    }
}
