use crate::LinkKind;

#[derive(Debug, Default)]
pub struct Link {
    pub(crate) href: String,
    pub(crate) kind: LinkKind,
}

impl Link {
    pub fn current_tab(href: &str) -> Self {
        Link {
            href: href.to_owned(),
            ..Default::default()
        }
    }

    pub fn new_tab(href: &str) -> Self {
        Link {
            href: href.to_owned(),
            kind: LinkKind::NewTab,
        }
    }
}
