include!(concat!(env!("OUT_DIR"), "/templates.rs"));

mod button;
mod card;
mod input;
mod link;
mod text_input;

pub use self::{
    button::{Button, ButtonKind, LinkKind},
    card::Card,
    input::{Input, InputKind},
    link::Link,
    text_input::TextInput,
};
